> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Account Statement

> Get Account Statement



## OpenAPI

````yaml GET /account/statement
openapi: 3.0.1
info:
  title: CORE API OpenAPI Specification
  description: This is the API documentation for the ClickPesa CORE API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /account/statement:
    get:
      description: Get Account Statement
      parameters:
        - name: startDate
          in: query
          required: false
          schema:
            type: string
            format: date
          description: >-
            Start date for filtering transactions . Accepted formats : 
            `YYYY-MM-DD` or `DD-MM-YYYY`
        - name: endDate
          in: query
          required: false
          schema:
            type: string
            format: date
          description: >-
            End date for filtering transactions . Accepted formats : 
            `YYYY-MM-DD` or `DD-MM-YYYY`
        - name: currency
          in: query
          required: true
          schema:
            type: string
          description: Currency filter (e.g., TZS, USD)
      responses:
        '200':
          description: Get Account Statement response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementResponse'
        '400':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '401':
          description: Invalid Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
components:
  schemas:
    StatementResponse:
      type: object
      properties:
        accountDetails:
          type: object
          description: Account details
          properties:
            currency:
              type: string
              description: Balance currency
              enum:
                - TZS
                - USD
            openingBalance:
              type: number
              description: Account opening balance for the period
            closingBalance:
              type: number
              description: Account closing balance for the period
            totalCredits:
              type: number
              description: Total credits for the period
            totalDebits:
              type: number
              description: Total debits for the period
        transactions:
          type: array
          description: List of transactions
          items:
            type: object
            properties:
              balance:
                type: number
                description: Account balance after the transaction
              date:
                type: string
                description: Transaction date
              description:
                type: string
                description: Transaction description
              entry:
                type: string
                description: Transaction entry
                enum:
                  - Credit
                  - Debit
              amount:
                type: number
                description: Transaction amount
              currency:
                type: string
                description: Currency
                enum:
                  - TZS
                  - USD
              orderReference:
                type: string
                description: Transaction order reference
              id:
                type: string
                description: Transaction id
              type:
                type: string
                description: Transaction type
                enum:
                  - Payment
                  - Deposit
                  - Withdraw
                  - Payout
                  - Fee - Payout
                  - Fee - Withdraw
                  - Fee - Payment
                  - Reversed Payout
                  - Reversed Withdraw
                  - Refunded Payout
                  - Refunded Withdraw
    ValidationError:
      type: object
      properties:
        message:
          type: string
          description: Bad Request Error
          example: 'Invalid currency: currency must be either TZS or USD'
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Unauthorized Error
          example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization header containing the JWT access token returned from the
        generate token endpoint. The token already includes the Bearer prefix.
        Example: `Authorization: Bearer eyJhbGciOi...`
      bearerFormat: JWT

````